### A free/open-source library for quantitative finance

Protected Member Functions
ZeroInflationTermStructure Class Reference

Interface for zero inflation term structures. More...

`#include <ql/termstructures/inflationtermstructure.hpp>`

Inheritance diagram for ZeroInflationTermStructure:
[legend]

List of all members.

## Public Member Functions

Constructors
| ZeroInflationTermStructure (const DayCounter &dayCounter, Rate baseZeroRate, const Period &lag, Frequency frequency, bool indexIsInterpolated, const Handle< YieldTermStructure > &yTS, const boost::shared_ptr< Seasonality > &seasonality=boost::shared_ptr< Seasonality >())
| ZeroInflationTermStructure (const Date &referenceDate, const Calendar &calendar, const DayCounter &dayCounter, Rate baseZeroRate, const Period &lag, Frequency frequency, const bool indexIsInterpolated, const Handle< YieldTermStructure > &yTS, const boost::shared_ptr< Seasonality > &seasonality=boost::shared_ptr< Seasonality >())
| ZeroInflationTermStructure (Natural settlementDays, const Calendar &calendar, const DayCounter &dayCounter, Rate baseZeroRate, const Period &lag, Frequency frequency, bool indexIsInterpolated, const Handle< YieldTermStructure > &yTS, const boost::shared_ptr< Seasonality > &seasonality=boost::shared_ptr< Seasonality >())
Inspectors
Rate | zeroRate (const Date &d, const Period &instObsLag=Period(-1, Days), bool forceLinearInterpolation=false, bool extrapolate=false) const
| zero-coupon inflation rate.
Rate | zeroRate (Time t, bool extrapolate=false) const
| zero-coupon inflation rate.

## Protected Member Functions

virtual Rate | zeroRateImpl (Time t) const =0
| to be defined in derived classes

## Detailed Description

Interface for zero inflation term structures.

## Member Function Documentation

Rate zeroRate | ( | const Date & | d,
|  | const Period & | instObsLag = `Period(-1, Days)`,
|  | bool | forceLinearInterpolation = `false`,
|  | bool | extrapolate = `false`
| ) |  | const

zero-coupon inflation rate.

Essentially the fair rate for a zero-coupon inflation swap (by definition), i.e. the zero term structure uses yearly compounding, which is assumed for ZCIIS instrument quotes.

Note:
  by default you get the same as lag and interpolation as the term structure. If you want to get predictions of RPI/CPI/etc then use an index.

Rate zeroRate | ( | Time | t,
|  | bool | extrapolate = `false`
| ) |  | const

zero-coupon inflation rate.

Warning:
  Since inflation is highly linked to dates (lags, interpolation, months for seasonality, etc) this method cannot account for all effects. If you call it, You'll have to manage lag, seasonality etc. yourself.